package constants

const (
	MechanismStaffPermissionUserView                    = "user:view"                     // 员工查看
	MechanismStaffPermissionUserEdit                    = "user:edit"                     // 员工编辑
	MechanismStaffPermissionUserDelete                  = "user:delete"                   // 员工删除
	MechanismStaffPermissionRoleView                    = "role:view"                     // 角色查看
	MechanismStaffPermissionRoleEdit                    = "role:edit"                     // 角色编辑
	MechanismStaffPermissionRoleDelete                  = "role:delete"                   // 角色删除
	MechanismStaffPermissionArchivesView                = "archives:view"                 // 查看档案
	MechanismStaffPermissionArchivesEdit                = "archives:edit"                 // 编辑档案
	MechanismStaffPermissionArchivesCreate              = "archives:create"               // 创建档案
	MechanismStaffPermissionArchivesRunAlgor            = "archives:runAlgor"             // 档案综合分析
	MechanismStaffPermissionArchivesManagePlanHealth    = "archives:managePlanHealth"     // 管理方案（功能医学）
	MechanismStaffPermissionArchivesMechanismConfigView = "archives:mechanismConfig:view" // 获取档案配置信息
	MechanismStaffPermissionArchivesMechanismConfigEdit = "archives:mechanismConfig:edit" // 编辑档案配置
	MechanismStaffPermissionDataView                    = "data:view"                     // 查看数据
	MechanismStaffPermissionDataEdit                    = "data:edit"                     // 编辑数据
	MechanismStaffPermissionDataUpload                  = "data:upload"                   // 上传数据
	MechanismStaffPermissionDataUploadDailyMonitor      = "data:upload:dailyMonitor"      // 上传数据（日常监测数据）
	MechanismStaffPermissionDataUploadMedicalReport     = "data:upload:medicalReport"     // 上传数据（体检报告）
	MechanismStaffPermissionSurveyView                  = "survey:view"                   // 查看问卷
	MechanismStaffPermissionSurveyEdit                  = "survey:edit"                   // 编辑问卷
	MechanismStaffPermissionSurveyResultView            = "surveyResult:view"             // 查看问卷结果
	MechanismStaffPermissionDepartmentView              = "department:view"               // 查看部门
	MechanismStaffPermissionDepartmentEdit              = "department:edit"               // 编辑部门
	MechanismStaffPermissionDepartmentDelete            = "department:delete"             // 删除部门

	MechanismStaffPermissionDataPrivacyArchivesInfo = "dataPrivacy:archivesInfo" // 查看档案信息中隐私数据

	MechanismStaffPermissionArchivesReportManage               = "archivesReportManage"               // 档案报告管理
	MechanismStaffPermissionArchivesReportSuggestionManage     = "archivesReportSuggestionManage"     // 档案报告建议管理
	MechanismStaffPermissionArchivesReportWarningMessageManage = "archivesReportWarningMessageManage" // 档案报告特别提醒管理
	MechanismStaffPermissionArchivesReportPdfResult            = "archivesReportPdfResult"            // PDF报告

	MechanismStaffPermissionHealthManage = "healthManage" // 健康管理
	// 待办事项
	MechanismStaffPermissionHealthManageTodoListView = "headlthManage:todoList:view" // 查看/处理待办事项
	MechanismStaffPermissionHealthManageTodoListEdit = "headlthManage:todoList:edit" // 管理/新增待办事项
	MechanismStaffPermissionHealthManageTodoListSms  = "headlthManage:todoList:sms"  // 待办事项短信管理
	MechanismStaffPermissionHealthManageUserTag      = "healthManage:userTag"        // 用户标签管理

	// 方案库
	MechanismStaffPermissionHealthManageSuggestionView     = "healthManage:suggestion:view"     // 健康建议库查看
	MechanismStaffPermissionHealthManageSuggestionEdit     = "healthManage:suggestion:edit"     // 健康建议库管理
	MechanismStaffPermissionHealthManageTagView            = "healthManage:tag:view"            // 标签库查看
	MechanismStaffPermissionHealthManageTagEdit            = "healthManage:tag:edit"            // 标签库管理
	MechanismStaffPermissionHealthManageGroupView          = "healthManage:group:view"          // 管理分组库查看
	MechanismStaffPermissionHealthManageGroupEdit          = "healthManage:group:edit"          // 管理分组库管理
	MechanismStaffPermissionHealthManageVisitTemplateView  = "healthManage:visitTemplate:view"  // 回访模板库查看
	MechanismStaffPermissionHealthManageVisitTemplateEdit  = "healthManage:visitTemplate:edit"  // 回访模板库管理
	MechanismStaffPermissionHealthManageInspectProjectView = "healthManage:inspectProject:view" // 检查项目库查看
	MechanismStaffPermissionHealthManageInspectProjectEdit = "healthManage:inspectProject:edit" // 检查项目库管理

	MechanismStaffPermissionMembershipCardSet              = "membershipCard:set"              // 会员卡设置
	MechanismStaffPermissionMembershipCardBindRecord       = "membershipCard:bindRecord"       // 会员卡绑定记录
	MechanismStaffPermissionMembershipCardConsumeRecord    = "membershipCard:consumeRecord"    // 会员卡消费记录
	MechanismStaffPermissionMembershipCardMemberSet        = "membershipCard:memberSet"        // 会员设置
	MechanismStaffPermissionMembershipCardServiceSet       = "membershipCard:serviceSet"       // 服务设置
	MechanismStaffPermissionMembershipCardMemberServiceSet = "membershipCard:memberServiceSet" // 服务记录设置
	MechanismStaffPermissionMembershipCardCode             = "membershipCard:code"             // 会员卡激活码
)

var MechanismStaffPermissionNames = map[string]*Permission{
	MechanismStaffPermissionUserView: {
		Name: "员工查看",
	},
	MechanismStaffPermissionUserEdit: {
		Name: "员工编辑",
	},
	MechanismStaffPermissionUserDelete: {
		Name: "员工删除",
	},
	MechanismStaffPermissionRoleView: {
		Name: "角色查看",
	},
	MechanismStaffPermissionRoleEdit: {
		Name: "角色编辑",
	},
	MechanismStaffPermissionRoleDelete: {
		Name: "角色删除",
	},
	MechanismStaffPermissionArchivesView: {
		Name: "查看档案",
	},
	MechanismStaffPermissionArchivesCreate: {
		Name: "创建档案",
	},
	MechanismStaffPermissionArchivesEdit: {
		Name: "编辑档案",
	},
	MechanismStaffPermissionArchivesMechanismConfigView: {
		Name: "获取档案配置信息",
	},
	MechanismStaffPermissionArchivesMechanismConfigEdit: {
		Name: "编辑档案配置",
	},

	MechanismStaffPermissionDataPrivacyArchivesInfo: {
		Name: "档案敏感数据查看",
	},

	MechanismStaffPermissionDepartmentView: {
		Name: "部门查看",
	},
	MechanismStaffPermissionDepartmentEdit: {
		Name: "部门编辑",
	},
	MechanismStaffPermissionDepartmentDelete: {
		Name: "部门删除",
	},

	MechanismStaffPermissionSurveyView: {
		Name: "查看体检问卷",
	},
	MechanismStaffPermissionSurveyEdit: {
		Name: "编辑体检问卷",
	},
	MechanismStaffPermissionSurveyResultView: {
		Name: "查看体检问卷结果",
	},

	MechanismStaffPermissionArchivesReportManage: {
		Name: "查看健康风险结果",
	},
	MechanismStaffPermissionArchivesReportSuggestionManage: {
		Name: "编辑健康风险健康建议",
	},
	MechanismStaffPermissionArchivesReportWarningMessageManage: {
		Name: "编辑特别提醒",
	},
	MechanismStaffPermissionArchivesReportPdfResult: {
		Name: "PDF报告",
	},

	MechanismStaffPermissionArchivesManagePlanHealth: {
		Name: "查看管理计划(功能医学)",
	},
	MechanismStaffPermissionHealthManage: {
		Name: "健康管理",
	},
	MechanismStaffPermissionHealthManageTodoListView: {
		Name: "查看/处理待办事项",
	},
	MechanismStaffPermissionHealthManageTodoListEdit: {
		Name: "管理/新增待办事项",
	},
	MechanismStaffPermissionHealthManageTodoListSms: {
		Name: "待办事项短信管理",
	},
	MechanismStaffPermissionHealthManageUserTag: {
		Name: "用户标签管理",
	},

	MechanismStaffPermissionHealthManageSuggestionView: {
		Name: "健康建议库查看",
	},
	MechanismStaffPermissionHealthManageSuggestionEdit: {
		Name: "健康建议库管理",
	},
	MechanismStaffPermissionHealthManageTagView: {
		Name: "标签库查看",
	},
	MechanismStaffPermissionHealthManageTagEdit: {
		Name: "标签库管理",
	},
	MechanismStaffPermissionHealthManageGroupView: {
		Name: "管理分组库查看",
	},
	MechanismStaffPermissionHealthManageGroupEdit: {
		Name: "管理分组库管理",
	},
	MechanismStaffPermissionHealthManageVisitTemplateView: {
		Name: "回访模板库查看",
	},
	MechanismStaffPermissionHealthManageVisitTemplateEdit: {
		Name: "回访模板库管理",
	},
	MechanismStaffPermissionHealthManageInspectProjectView: {
		Name: "检查项目库查看",
	},
	MechanismStaffPermissionHealthManageInspectProjectEdit: {
		Name: "检查项目库管理",
	},

	MechanismStaffPermissionDataView: {
		Name: "查看数据",
	},
	MechanismStaffPermissionDataEdit: {
		Name: "编辑数据",
	},
	MechanismStaffPermissionDataUpload: {
		Name: "上传数据",
	},
	MechanismStaffPermissionDataUploadDailyMonitor: {
		Name: "上传数据（日常监测）",
	},
	MechanismStaffPermissionDataUploadMedicalReport: {
		Name: "上传数据（体检报告）",
	},

	MechanismStaffPermissionArchivesRunAlgor: {
		Name: "档案综合分析",
	},

	MechanismStaffPermissionMembershipCardSet: {
		Name: "会员卡设置",
	},
	MechanismStaffPermissionMembershipCardBindRecord: {
		Name: "会员卡绑定记录",
	},
	MechanismStaffPermissionMembershipCardConsumeRecord: {
		Name: "会员卡消费记录",
	},
	MechanismStaffPermissionMembershipCardCode: {
		Name: "会员卡激活码",
	},
	MechanismStaffPermissionMembershipCardMemberSet: {
		Name: "会员设置",
	},
	MechanismStaffPermissionMembershipCardServiceSet: {
		Name: "服务设置",
	},
	MechanismStaffPermissionMembershipCardMemberServiceSet: {
		Name: "服务记录设置",
	},
}
