package idc

import (
	"fmt"

	"gogs.uu.mdfitnesscao.com/hys/sdk"
)

type ArchivesMedicalData struct {
	*sdk.ArchivesMedicalData
}

// 获取档案所有的数据
func GetMedicalData(archivesId string) (*ArchivesMedicalData, error) {
	response, respErr := GetAllValuesByArchivesId(archivesId)
	if respErr != nil {
		return nil, fmt.Errorf("获取档案数据失败: %s", respErr.Msg)
	}

	return &ArchivesMedicalData{response.Data}, nil
}

// 给定指标ID获取指标的所有的历史记录(倒序排列)
func (archivesMedicalData *ArchivesMedicalData) GetArchivesDataByIndicatorId(indicatorId string) []*sdk.Indicator {
	var indicators []*sdk.Indicator = make([]*sdk.Indicator, 0)
	if len(archivesMedicalData.Indicators[indicatorId]) > 0 {
		indicators = archivesMedicalData.Indicators[indicatorId]
	}
	return indicators
}

// 给定问题的编号获取问题的所有的历史记录(倒序排列)
func (archivesMedicalData *ArchivesMedicalData) GetArchivesDataByQuestionNo(questionSn string) []*sdk.ArchivesValues {
	var archivesValuesList []*sdk.ArchivesValues = make([]*sdk.ArchivesValues, 0)
	if len(archivesMedicalData.ArchivesValues[questionSn]) > 0 {
		archivesValuesList = archivesMedicalData.ArchivesValues[questionSn]
	}
	return archivesValuesList
}
