package survey

import (
	"fmt"

	"github.com/guonaihong/gout"
	"gogs.uu.mdfitnesscao.com/hys/sdk"
	"gogs.uu.mdfitnesscao.com/hys/sdk/response"
)

// 获取所有的问题模板
func ListQuestionnaireTemplate() (*sdk.BaseResponse[*sdk.ListResponse[*sdk.QuestionnaireTemplate]], *response.ErrCode) {
	var resp *sdk.BaseResponse[*sdk.ListResponse[*sdk.QuestionnaireTemplate]]
	resp, err := postReq[*sdk.BaseResponse[*sdk.ListResponse[*sdk.QuestionnaireTemplate]]]("/surveyService/openapi/questionnaireTemplate/list", gout.H{})
	if err != nil {
		return nil, &response.ErrCode{
			Code: response.PLATFORM_ERROR,
			Msg:  err.Error(),
		}
	}
	if resp == nil {
		return nil, response.ErrPlatform
	}
	return resp, nil
}

// 获取所有的问题模板
func ListQuestionnaireSubject() (*sdk.BaseResponse[*sdk.ListResponse[*sdk.QuestionnaireSubject]], *response.ErrCode) {
	var resp *sdk.BaseResponse[*sdk.ListResponse[*sdk.QuestionnaireSubject]]
	resp, err := postReq[*sdk.BaseResponse[*sdk.ListResponse[*sdk.QuestionnaireSubject]]]("/surveyService/openapi/questionnaireSubject/list", gout.H{})
	if err != nil {
		return nil, &response.ErrCode{
			Code: response.PLATFORM_ERROR,
			Msg:  err.Error(),
		}
	}
	if resp == nil {
		return nil, response.ErrPlatform
	}
	return resp, nil
}

// postReq 发送post请求
func postReq[T any](path string, data gout.H) (T, error) {
	var res T
	fmt.Println(sdk.GetConfig())
	// 检查配置
	if sdk.GetConfig().ApiDomain == "" {
		return res, fmt.Errorf("请先配置API域名")
	}
	url := fmt.Sprintf("%s%s", sdk.GetConfig().ApiDomain, path)
	fmt.Println("请求地址 ===>", url)
	err := gout.POST(url).Debug(sdk.GetConfig().AppDebug).
		SetHeader(gout.H{}).
		SetJSON(data).
		BindJSON(&res).
		Do()
	if err != nil {
		fmt.Println("请求失败: ", err)
		return res, err
	}
	return res, nil
}
